import typescript from 'typescript';
import { BaseParseResult, Processor } from './processor';
interface ParseResult extends BaseParseResult {
    node: typescript.ImportTypeNode;
}
/**
 * Processor for `typeof import('module')` or (in d.ts) `import ('module').Type`
 */
export declare class ImportTypeProcessor extends Processor {
    parse(node: typescript.Node): ParseResult;
    updateModuleName(moduleName: string, { node }: ParseResult): typescript.Node;
}
export {};
